Bug 912905 (CVE-2013-0311) - CVE-2013-0311 kernel: vhost: fix length for cross region descriptor
Summary: CVE-2013-0311 kernel: vhost: fix length for cross region descriptor
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0311
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130219,repo...
Depends On: 862265 953214 953215
Blocks: 961202
TreeView+ depends on / blocked
 
Reported: 2013-02-20 00:37 UTC by Petr Matousek
Modified: 2019-06-08 19:26 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-09 06:14:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0496 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-02-20 21:40:54 UTC
Red Hat Product Errata RHSA-2013:0579 normal SHIPPED_LIVE Important: rhev-hypervisor6 security, bug fix, and enhancement update 2013-02-28 23:55:03 UTC
Red Hat Product Errata RHSA-2013:0882 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-05-30 22:29:49 UTC
Red Hat Product Errata RHSA-2013:0928 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-06-11 21:37:17 UTC

Description Petr Matousek 2013-02-20 00:37:08 UTC
If a single descriptor crosses a region, the second chunk length should be decremented by size translated so far, instead it includes the full descriptor length. A privileged guest user could use this flaw to crash the host or, potentially, corrupt host memory.

Upstream fix:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=bd97120fc3d1a11f3124c7c9ba1d91f51829eb85

Comment 1 Petr Matousek 2013-02-20 00:49:15 UTC
Statement:

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 6.

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

Comment 2 errata-xmlrpc 2013-02-21 07:03:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0496 https://rhn.redhat.com/errata/RHSA-2013-0496.html

Comment 3 errata-xmlrpc 2013-02-28 18:59:35 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:0579 https://rhn.redhat.com/errata/RHSA-2013-0579.html

Comment 5 errata-xmlrpc 2013-05-30 18:31:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:0882 https://rhn.redhat.com/errata/RHSA-2013-0882.html

Comment 6 errata-xmlrpc 2013-06-11 17:39:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html


Note You need to log in before you can comment on or make changes to this bug.